---
title: inert
slug: Web/API/HTMLElement/inert
---
<p>{{ APIRef("HTML DOM") }}</p>

<p>The {{domxref("HTMLElement")}} property <strong><code>inert</code></strong> is a {{jsxref("Boolean")}} that, when present, makes the browser "ignore" user input events for the element, including focus events and events from assistive technologies. The browser may also ignore page search and text selection in the element. This can be useful when building UIs such as modals where you would want to "trap" the focus inside the modal when it's visible.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="notranslate"><em>isInert</em> = <em>HTMLElement</em>.inert;

<em>HTMLElement</em>.inert = true | false;</pre>

<h3 id="Value">Value</h3>

<p>A Boolean which is <code>true</code> if the element is inert; otherwise, the value is <code>false</code>.</p>

<h2 id="Example">Example</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;div&gt;
  &lt;label for="button1"&gt;Button 1&lt;/label&gt;
  &lt;button id="button1"&gt;I am not inert&lt;/button&gt;
&lt;/div&gt;
&lt;div inert&gt;
  &lt;label for="button2"&gt;Button 1&lt;/label&gt;
  &lt;button id="button2"&gt;I am inert&lt;/button&gt;
&lt;/div&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">[inert] &gt; * {
  opacity: .5;
}
</pre>

<p>{{ EmbedLiveSample('Example', 560, 200) }}</p>

<div class="notecard note">
<p>Note that the attribute, by itself, will not cause any visual change to the content as displayed in the browser. In the example above, CSS has been applied so that any direct descendant of an element with the inert attribute is rendered semi-opaque.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "interaction.html#inert-subtrees", "HTMLElement.inert")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLElement.inert")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li><a href="https://github.com/WICG/inert">Inert Polyfill</a></li>
</ul>
